/*
 * STM32F3-Discovery demo
 * 2013, Kai O.
 */

#ifndef MAIN_H_
#define MAIN_H_

extern volatile uint32_t Ticks;

#define KHZ (1000)
#define MHZ (KHZ * 1000)

void delay_ms(uint32_t delayMs);
void delay_us(uint32_t delayUs);
void err_wait();

#define LED_N 1
#define LED_NO 2
#define LED_O 3
#define LED_SO 4
#define LED_S 5
#define LED_SW 6
#define LED_W 7
#define LED_NW 8

#define UserLedOn(no) GPIOE->BSRR = 1 << (8 + ((no) & 0x7))
#define UserLedOff(no) GPIOE->BSRR = 1 << (16 + 8 + ((no) & 0x7))
#define UserLedToggle(no) GPIOE->ODR ^= 1 << (8 + ((no) & 0x7))

#endif /* MAIN_H_ */
